For people on 3.61, 3.63 and 3.65

Want to install homebrew on your PS Vita? Follow our guide here.

If you have a PS Vita, on firmware version 3.61 to 3.65, remember to not update to 3.67 or later! HENkaku Enso, a hack which enables CFW on boot, was patched in firmware version 3.67.

PS Vita

I’ve seen multiple people ask if they should update since TheFloW’s new HENkaku exploit is “for 3.67 only”. This is not true. If you update higher than 3.65 you will not be able to install HENkaku Enso, and you will have to reinstall HENkaku after each reboot.

Here is a guide to blocking updates.

Posted:

Leave a Comment